const 
	https = require('http'),
	DataReceiver = require('./data-receiver').DataReceiver,	
	errorCallback = (err) => console.log(`Error: ${err}`),
	Controller = require('./controller').Controller;

function callApi() {
	/* Simple API call example.
	The api is far-to-cels (fahrenheit to celsius).
	We use a DataReceiver object to receive data from the API, 
	and when it is done, it will call "showApiResult"
	apiKey is our API access key*/
	const
		apiUrl = 'http://api.openweathermap.org/data/2.5/forecast?id=5019335&units=imperial&appid=e86b5ac870d418359929d1ab9ab11e43',		
		dataRecr = new DataReceiver(Controller.showApiResult);		
	https
		.get(apiUrl, dataRecr.getReadDataFct())
		.on("error", errorCallback);		
}

//entry point to this code
callApi();

